> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get if user has all provided volume permissions

> Get if user has all provided volume permissions



## OpenAPI

````yaml /api-specs/cloud/domino-volumes-api.yaml post /account/authz/permissions/volume/:id
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: >-
    Microservice responsible for managing Domino Volumes for NetApp ONTAP
    feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Volumes for NetApp ONTAP Microservice API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /account/authz/permissions/volume/:id:
    post:
      tags:
        - volumes
      summary: Get if user has all provided volume permissions
      description: Get if user has all provided volume permissions
      parameters:
        - description: ID of Volume to check permissions against
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.VolumePermissionsRequest'
        description: Volume permissions and user to check against
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: boolean
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.VolumePermissionsRequest:
      properties:
        mustHave:
          items:
            $ref: '#/components/schemas/remotefs.Permission'
          type: array
        principal:
          $ref: '#/components/schemas/server.Principal'
      required:
        - mustHave
        - principal
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    remotefs.Permission:
      enum:
        - ManageFilesystems
        - ViewFilesystems
        - CreateVolumes
        - ManageVolumesForExecution
        - ManageVolumes
        - ReadVolumes
        - ViewVolumes
        - MarkVolumesForDeletion
        - DeleteVolumes
        - EditSecurityVolumes
        - WorkbenchPermission.PerformNetAppActionsInProject
        - ReadUserPermissions
        - ImpersonateUser
      type: string
      x-enum-varnames:
        - ManageFilesystems
        - ViewFilesystems
        - CreateVolumes
        - ManageVolumesForExecution
        - ManageVolumes
        - ReadVolumes
        - ViewVolumes
        - MarkVolumesForDeletion
        - DeleteVolumes
        - EditSecurityVolumes
        - PerformNetAppActionsInProject
        - ReadUserPermissions
        - ImpersonateUser
    server.Principal:
      properties:
        token:
          type: string
      required:
        - token
      type: object

````